package analytic

import (
	"git.gocasts.ir/ebhomengo/niki/patientapp/repository/mysql"
	analytic2 "git.gocasts.ir/ebhomengo/niki/patientapp/service/analytic"
	"github.com/labstack/echo/v4"
)

func NewPatientAnalyticRouter(s *echo.Group) {

	mysqlRepo := mysql.NewPatientRepo()
	//rpcRepo := grpc.NewPatientRepo()

	analyticService := analytic2.NewPatientAnalyticService(mysqlRepo)

	h := NewHandler(analyticService)

	s.GET("/patients", h.PatientsAnalytic)
	s.GET("/patients-summary", h.PatientsMapSummary)
	s.GET("/health", h.Health)

}
